<button mat-icon-button [matMenuTriggerFor]="menu">
  <mat-icon>more_vert</mat-icon>
</button>
<mat-menu #menu="matMenu">
  <button mat-menu-item (click)="editActivity()">
    <mat-icon>pageview</mat-icon>
    <span>View</span>
  </button>
  <button mat-menu-item (click)="viewActivity()">
    <mat-icon>edit</mat-icon>
    <span>Edit</span>
  </button>
  <button mat-menu-item (click)="viewAllCourses()">
    <mat-icon>edit</mat-icon>
    <span>Edit</span>
  </button>
  <button mat-menu-item disabled>
    <mat-icon>delete</mat-icon>
    <span>Delete</span>
  </button>
</mat-menu>
